package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.Role;

import java.util.List;

public interface RoleMapper {

    /**
     * TODO ~~~~
     */
    List<Role> selectByExample(Role example);

    /**
     * TODO ~~~~
     */
    Role selectByPrimaryKey(Integer id);

    /**
     * TODO ~~~~
     */
    List<String> selectAdminUserMenuByAdminId(Integer id);


    /**
     * TODO ~~~~
     */
    int updateByPrimaryKeySelective(Role record);

    /**
     * TODO ~~~~
     */
    int insertSelective(Role record);


}